TechnoDG
(+91) 353 25 76767
(+91) 9 733 733 000
Google Plus Twitter You Tube Face Book

Login

Forgot Password

subscribe to our announcements

Support Desk

latest update

Online Payment Gateway to discontinue TLS v1.1 from March 25th, 2019 & Upgrade to TLS v1.2 as per PCI Mandate

Dear Clients,

Greetings from TechnoDG...

This is to inform you that the Payment Card Industry Security Standards Council (PCI SSC), has issued a mandate designed to protect public (i.e. internet) communications that carry PCI-sensitive data. This would result in removal of early versions of Payment Gateway communication protocols and encryption ciphers – TLS version 1.1 and moving to more secure encryption protocols – TLS 1.2  in order to meet the PCI Data Security Standard (PCI DSS) for the safeguarding of payment data.

In this regard the online payment gateways would be discontinuing the support for browsers that are still supporting older versions of security protocols i.e.  TLS v. 1.1 from March 25th, 2019. This would impact the following browsers:

  1. Microsoft Internet Explorer 10 and below
  2. Microsoft Internet Explorer 10 running on Microsoft Windows version lower than Microsoft Windows 7 & 2008
  3. Mozilla Firefox 27 and below
  4. Google Chrome 37 and below
  5. Google Android OS Browser Android 4.4 (KitKat) and below
  6. Opera Browser 16 and below
  7. Mobile Safari for iOS 5 and below
  8. Desktop Safari versions 7 and below for OS X 10.8 (Mountain Lion) and below

We would request you to please ensure that your PCs/Smart Mobiles have downloaded the latest version of the browsers/OS and are initiating payments from the new browsers that support TLS  v1.2 onwards, else payment gateway page will not open if redirected from your website on the obsolete browsers/OS mentioned in the list above.

Please feel free to contact us in case you require any further clarification or assistance.


Posted on: Saturday, 16th March 2019 1:41 PM